<?php
//打开get和post的封装
$getpost_power=true;
//打开系统库的支持
$iweb_power=true;
//打开session
$session_power=true;
//引入系统文件的支持文件
include_once(dirname(__file__)."/../includes.php");
//引入自己的配制文件
include_once(dirname(__file__)."/config.php");
//得到表名
$order=$table_prefix."order";
//创建系统对数据库进行操作的对象
$dbo=new dbex();
//对数据进行读写分离，读操作
dbplugin('r');
//得到礼品ID
$id=get_args('id');
if(!is_null($id))
{
	//得到操作请求
	$op=get_args('do');
	//获得接收者ID
	$accept_msg_id=get_args('send_id');
	//如果是接收，就更礼品的状态
	if('accept'==$op)
	{
		$sql="update $order set is_see=1 where id=$id";
	}
	//如果是拒收则删除，并通知发送者
	else if('rejection'==$op)
	{
		Api_Proxy("scrip_set_send","系统发送","礼品拒收",get_sess_username()."拒收了，您的礼品",$accept_msg_id);
		$sql="delete from $order where id=$id";
	}
	//如果是清理则删除
	else if('del'==$op)
	{
		$sql="delete from $order where id=$id";
	}
	//通过数据库操作对象，处理对应的操作
	$dbo->exeUpdate($sql);
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
<!--
#gift_list
{
	font-size:12px;
}
#gift_list img{
height:70px;
float:left;
margin:0px 10px 0px 0px;
}

-->
</style>
<title>无标题文档</title>
</head>

<body>
<?php
if(get_sess_userid())
{
	
	//查询用户的礼品
	$sql="select * from ".$order." where  accept_id=".get_sess_userid();
	$rows=$dbo->getRs($sql);
	$no_accept="";
	$accept="";
	echo "<div id='gift_list'>";
	if(count($rows)>0)
	{
		foreach($rows as $row)
		{
			//分别取出接收和未接收的礼品
			if($row['is_see']==0)$no_accept.="<div style='clear:both;height:85px;border-bottom:1px #ccc solid;line-height:25px;margin-bottom:5px;'><img src='".self_url(__file__)."{$row['gift']}'/><span><b>[{$row['send_name']}]</b>在$row[send_time]给您赠送了此礼品<br />赠言：$row[msg]<br/>是否接收?<a href='?do=accept&id=$row[id]'>接收</a>  <a href='?do=rejection&id=$row[id]&send_id=$row[send_id]'>拒收</a></span></div>";
			else $accept.="<div style='clear:both;height:85px;border-bottom:1px #ccc solid;line-height:25px;margin-bottom:5px;'><img src='".self_url(__file__)."{$row['gift']}'/><span><b>[{$row['send_name']}]</b>在$row[send_time]给您赠送了此礼品<br />赠言：$row[msg]<br/><span>太多我要  <a href='?do=del&id=$row[id]&send_id=$row[send_id]'>清除</a></span></div>";
		}
	}
	echo $no_accept;
	echo "";
	echo $accept;
	echo "<div>";
}
?>
</body>
</html>
